Page MenuHomePhabricator

Deploy Scap 3.8.0 to production
Closed, ResolvedPublic

Description

Scap 3.8.0 is ready for packaging. tagged debian/3.8.0-1 in the release branch of rMSCA. See rMSCA004f7635ff44: Bumping debian version to 3.8.0-1

Puppet change to merge once the package is uploaded: https://gerrit.wikimedia.org/r/#/c/427535/

Event Timeline

mmodell created this task.Apr 13 2018, 12:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@fgiunchedi Can you upload the package? the tag is at rMSCA004f7635ff44

mmodell removed mmodell as the assignee of this task.Apr 18 2018, 8:32 PM
mmodell assigned this task to fgiunchedi.
mmodell triaged this task as Medium priority.
mmodell updated the task description. (Show Details)

Change 427535 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/puppet@production] Bump scap version to 3.8.0-1

https://gerrit.wikimedia.org/r/427535

mmodell updated the task description. (Show Details)Apr 18 2018, 8:38 PM

@mmodell for sure, I was reading the log and I wonder why architecture changed from all to any?

mmodell added a subscriber: demon.EditedApr 19 2018, 6:32 PM

@fgiunchedi: I'm not sure, the commit (dd89f026e3ab709cdb76d07c5b430c5de342d220) says it's for py3 transition, but I'm not sure why it matters. @demon, can you offer any insight?

That was part of that commit. I was kinda following the example set by the conftool package. If this is problematic, we can change that bit back.

That was part of that commit. I was kinda following the example set by the conftool package. If this is problematic, we can change that bit back.

I don't know about conftool but AFAICS scap doesn't contain architecture-specific files so it should be Architecture: all yeah

I don't know about conftool but AFAICS scap doesn't contain architecture-specific files so it should be Architecture: all yeah

D1027: Switch package back to architecture: all

Mentioned in SAL (#wikimedia-operations) [2018-04-20T09:58:28Z] <godog> upload scap 3.8.0-2 - T192124

Change 427535 merged by Filippo Giunchedi:
[operations/puppet@production] Bump scap version to 3.8.0-2

https://gerrit.wikimedia.org/r/427535

fgiunchedi closed this task as Resolved.Apr 20 2018, 10:13 AM

Done, scap deployed